package com.book.server.service;

import com.book.dao.VO.SunVO;
import com.book.dao.polardb.entity.*;
import com.book.server.common.entity.PageResult;
import com.book.server.common.entity.Result;
import com.book.server.config.SunTypeEnum;
import com.book.server.vo.SunNotifyRequest;
import com.book.server.vo.SunRequest;

import java.util.List;
import java.util.Map;

/**
 * created in 2021/9/28
 * Project: book-store
 *
 * @author win7
 */

public interface SunDataService {

    Result requestData(SunRequest request,SunTypeEnum sunTypeEnum);

    void pullData(SunNotifyRequest request);

    PageResult<SunChannel> pageSunChannel(SunVO sunVO);

    PageResult<SunOrder> pageSunOrder(SunVO sunVO);

    PageResult<SunOrderCollect> pageOrderCollect(SunVO sunVO);

    PageResult<SunUserCollect> pageUserCollect(SunVO sunVO);

    /**
     * 统计指定日期的订单
     * @param date yyyy-MM-dd
     */
    void orderStaticDate(String date);


    SunStaticOrderDay getTodayOrderStatic();

    SunStaticOrderDay getYesterdayOrderStatic();

    Map getHistoryOrderStatic();

    List<SunStaticOrderDayChannel> getTodayOrderStaticByChannel();

    PageResult<SunStaticOrderDay> getOrderStatics(int page,int size);

    List<SunStaticOrderDay> getOrderStaticsAll();

    List<SunStaticOrderDayChannel> getOrderStaticByDateAndChannel(String date);
}
